[ovs-dev] [PATCH 1/2] netdev-dpdk: Move to DPDK 1.7.0

Pravin Shelar pshelar at nicira.com
Wed Aug 13 22:40:12 UTC 2014


On Tue, Aug 12, 2014 at 9:15 PM, Flavio Leitner <fbl at redhat.com> wrote:
>
> I have a couple comments not really related to this
> specific patch.  See below.
>
> On Tue, Aug 12, 2014 at 10:43:35AM -0700, Daniele Di Proietto wrote:
>> With this commit we move our DPDK support to 1.7.0.
>> DPDK binaries (starting with dpdk 1.7.0) should be linked with --whole-archive
>> to include pmd drivers
>>
>> Signed-off-by: Daniele Di Proietto <ddiproietto at vmware.com>
>> ---
>>  INSTALL.DPDK                  | 12 ++++++------
>>  acinclude.m4                  | 13 ++++++++++++-
>>  lib/netdev-dpdk.c             | 12 ++++--------
>>  tests/ovs_client/ovs_client.c |  4 ++--
>>  4 files changed, 24 insertions(+), 17 deletions(-)
>>
>> diff --git a/INSTALL.DPDK b/INSTALL.DPDK
>> index c74fa5c..3d062e5 100644
>> --- a/INSTALL.DPDK
>> +++ b/INSTALL.DPDK
>> @@ -14,12 +14,12 @@ and "make".
>>  Building and Installing:
>>  ------------------------
>>
>> -Recommended to use DPDK 1.6.
>> +Recommended to use DPDK 1.7.
>>
>>  DPDK:
>> -Set dir i.g.:   export DPDK_DIR=/usr/src/dpdk-1.6.0r2
>> +Set dir i.g.:   export DPDK_DIR=/usr/src/dpdk-1.7.0
>>  cd $DPDK_DIR
>> -update config/defconfig_x86_64-default-linuxapp-gcc so that dpdk generate single lib file.
>> +update config/common_linuxapp so that dpdk generate single lib file.
>>  CONFIG_RTE_BUILD_COMBINE_LIBS=y
>
> Any chance or plans to get OVS compiling without combine_libs?
> I am asking this because Fedora DPDK RPM provides individual libraries
> instead of the combined one:
> http://rpm.pbone.net/index.php3/stat/4/idpl/26839241/dir/rawhide/com/dpdk-1.7.0-2.fc22.x86_64.rpm.html
>
>
>>
>>  make install T=x86_64-default-linuxapp-gcc
>> @@ -32,7 +32,7 @@ DPDK kernel requirement.
>>  OVS:
>>  cd $(OVS_DIR)/openvswitch
>>  ./boot.sh
>> -export DPDK_BUILD=/usr/src/dpdk-1.6.0r2/x86_64-default-linuxapp-gcc
>> +export DPDK_BUILD=/usr/src/dpdk-1.7.0/x86_64-default-linuxapp-gcc
>>  ./configure --with-dpdk=$DPDK_BUILD
>
> Since the libraries and includes are in the standard directories,
> the above doesn't work as well.
> http://rpm.pbone.net/index.php3/stat/4/idpl/26839242/dir/rawhide/com/dpdk-devel-1.7.0-2.fc22.x86_64.rpm.html
>
Supporting build against the dpdk rpm is not hard, but I do not think
anyone is working on it yet.



More information about the dev mailing list